{% extends 'base.html' %}
{% load markdownify %}

{% block content %}
<main class="recipe-detail">
  <div>
    <a href="{% url 'recipe_edit' recipe.id %}">Edit</a>
    <a href="{% url 'recipe_delete' recipe.id %}">Delete</a>
  </div>
  {% if recipe.image %}
  <img src="{{ recipe.image }}" class="pull-right">
  {% endif %}
  <h1>{{ recipe.name }}</h1>
  <p>
    Created on {{ recipe.created }} |
    Updated on {{ recipe.updated }}
  </p>
  <form method="post" action="{% url 'recipe_rating' recipe.id %}">
    {% csrf_token %}
    <div class="rating-form-grid">
      {{ rating_form.as_p }}
      <button class="button">Rate</button>
    </div>
  </form>
  <p>Tags: {% for tag in recipe.tags.all %}{{ tag.word }} {% endfor %}</p>
  {{ recipe.description | markdownify }}
  <h2>Ingredients</h2>
  <table>
    <thead>
      <tr>
        <th colspan="2">Amount</th>
        <th>Food item</th>
      </tr>
    </thead>
    <tbody>
      {% for ingredient in recipe.ingredients.all %}
      <tr>
        <td>{{ ingredient.amount }}</td>
        <td>{{ ingredient.measure.name }}</td>
        <td>{{ ingredient.food.name }}</td>
      </tr>
      {% endfor %}
    </tbody>
  </table>
  <h2>Steps</h2>
  <ol>
    {% for step in recipe.steps.all %}
    <li>{{ step.directions }}</li>
    {% endfor %}
  </ol>
</main>
{% endblock content %}
